# ucs_vsans – Configures VSANs on Cisco UCS Manager

New in version 2.5.

- Synopsis

- Requirements

- Parameters

- Examples

- Status

## Synopsis

- Configures VSANs on Cisco UCS Manager.

- Examples can be used with the UCS Platform Emulator https://communities.cisco.com/ucspe.

## Requirements

The below requirements are needed on the host that executes this module.

- ucsmsdk

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

fabric
-

Choices:
- common ←
- A
- B

The fabric configuration of the VSAN. This can be one of the following:
common - The VSAN maps to the same VSAN ID in all available fabrics.
A - The VSAN maps to the a VSAN ID that exists only in fabric A.
B - The VSAN maps to the a VSAN ID that exists only in fabric B.

fc_zoning
-

Choices:
- disabled ←
- enabled

Fibre Channel zoning configuration for the Cisco UCS domain.
Fibre Channel zoning can be set to one of the following values:
disabled — The upstream switch handles Fibre Channel zoning, or Fibre Channel zoning is not implemented for the Cisco UCS domain.
enabled — Cisco UCS Manager configures and controls Fibre Channel zoning for the Cisco UCS domain.
If you enable Fibre Channel zoning, do not configure the upstream switch with any VSANs that are being used for Fibre Channel zoning.

hostname string / required |  | IP address or hostname of Cisco UCS Manager.
name - / required |  | The name assigned to the VSAN. This name can be between 1 and 32 alphanumeric characters. You cannot use spaces or any special characters other than - (hyphen), "_" (underscore), : (colon), and . (period). You cannot change this name after the VSAN is created.
password string / required |  | Password for Cisco UCS Manager authentication.
port integer |  | Port number to be used during connection (by default uses 443 for https and 80 for http connection).
proxy string |  | If use_proxy is no, specfies proxy to be used for connection. e.g. 'http://proxy.xy.z:8080'

state
-

Choices:
- present ←
- absent

If `present`, will verify VSANs are present and will create if needed.
If `absent`, will verify VSANs are absent and will delete if needed.

use_proxy
boolean

Choices:
- no
- yes ←

If `no`, will not use the proxy as defined by system environment variable.

use_ssl
boolean

Choices:
- no
- yes ←

If `no`, an HTTP connection will be used instead of the default HTTPS connection.

username string | Default: "admin" | Username for Cisco UCS Manager authentication.
vlan_id - / required |  | The unique string identifier assigned to the VLAN used for Fibre Channel connections. Note that Cisco UCS Manager uses VLAN '4048'. See the UCS Manager configuration guide if you want to assign '4048' to a VLAN. Optional if state is absent.
vsan_id - / required |  | The unique identifier assigned to the VSAN. The ID can be a string between '1' and '4078', or between '4080' and '4093'. '4079' is a reserved VSAN ID. In addition, if you plan to use FC end-host mode, the range between '3840' to '4079' is also a reserved VSAN ID range. Optional if state is absent.

## Examples

    - name: Configure VSAN
      ucs_vsans:
        hostname: 172.16.143.150
        username: admin
        password: password
        name: vsan110
        vsan_id: '110'
        vlan_id: '110'

    - name: Remove VSAN
      ucs_vsans:
        hostname: 172.16.143.150
        username: admin
        password: password
        name: vsan110

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- David Soper (@dsoper2)

- CiscoUcs (@CiscoUcs)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.